{
  //This file was translated with Yandex Translator (https://translate.yandex.ru/)
  //Application Parameters
  "AppTitle": "ANB Software File Splitter",
  "AppVersion": "Version: {0}",
  "AppCopyrights": "Copyrights (C) {0} by Alexander Babaev.",

  //Messages
  "MessageNoParametersForSplit": "Split parameters are not set. For information about working with the program, see the file «<program's folder>\\Help\\English.html#ConsoleParams»",
  "MessageSplitAsk": "Information about splitting file:\n***{0}\n***Size: {1}\n***File hash: {2}\n***It is assumed to split into {3} parts(s)\nDo you want to start split? [Y|y - yes, any other letter - no]",
  "MessageStartSplit": "The splitting of the file {0} into parts of the size {1} and saving them in the directory {2} is started.",
  "MessageSplitFilePart": "Processing part {0} of {1}...",
  "MessageSplitComplete": "File splitting {0} is complete!",
  "MessageHashCheckStart": "Starting check the hash of the splitting",
  "MessageHashCheckFail": "Unfortunately, the file \"{0}\" did not pass the hash check!",
  "MessageHashCheckComplete": "Hash verification is complete!",
  "MessageJoinAsk": "Do you want to start joining file {0}? [Y|y - yes, any other letter - no]",
  "MessageStartJoin": "Joining of files specified by the information file {0} into the file {1} has started.",
  "MessageJoinUnsupportedFile": "Unfortunately, the version of the information file {0} is not supported!",
  "MessageJoinUnknownFile": "Can't read the information file! Maybe it's encrypted?",
  "MessageJoinHashError": "Unfortunately, the split files did not pass verification. Perhaps they are damaged?",
  "MessageJoinCheckError": "Unfortunately, the joined file did not pass the validation of join. Perhaps there were any mistakes?",
  "MessageJoinFilePart": "Processing part {0} of {1}...",
  "MessageJoinComplete": "File joining {0} is complete!",
  "MessagePleaseWaitToReady": "Please wait. Preparations for the operation are underway. This may take a long time, during which the program may seem to hang.",

  //Interactive mode messages
  "InteractiveStartAsk": "Choose one of the actions:\n* S|s - splitting\n* J|j - joining\n* O|o - program's options\n* E|e - exit\nYour choice:",
  "InteractiveWrongInput": "Unknown action selected!",
  "InteractiveOperationFinish": "The operation is completed! Exit code is: {0}",
  "InteractiveFileNameNotExist": "The file does not exist! Repeat file entry? [Y|y - to repeat, any other letter - to abort operation]",
  "InteractiveFileNameExist": "The file exists! You need to select a non-existent file! Repeat file entry? [Y|y - to repeat, any other letter - to abort operation]",

  "InteractiveSplitFileNameAsk": "Enter the name of the file to split (or drag it here):",
  "InteractiveSplitFileNameResult": "File selected for splitting: {0}",
  "InteractiveSplitTargetDirAsk": "Select the folder where you want to save the parts of the file (or leave it empty to use the folder of the split file):",
  "InteractiveSplitTargetDirResult": "The split files will be saved in the folder: {0}",
  "InteractiveSplitPartSizeAsk": "Enter the size of the part (in bytes):",
  "InteractiveSplitPartSizeAsk2": "You have selected the part size {0}. Is everything right? [Y|y - yes, continue; any other letter - no, repeat input]",
  "InteractiveSplitPartSizeResult": "Selected part size: {0}",
  "InteractiveSplitOptionsAsk": "Enter additional splitting parameters (space separator):",
  "InteractiveSplitOptionsResult": "Additional splitting parameters are selected: [{0}]",

  "InteractiveJoinFileNameAsk": "Enter the name of the split information file (or drag it here):",
  "InteractiveJoinFileNameResult": "The file selected for the join is: {0}",
  "InteractiveJoinTargetFileNameAsk": "Select the name and path to the file to be joined (for example, c:\\myFiles\\myFile.txt ):",
  "InteractiveJoinTargetFileNameResult": "The file will be joined: {0}",
  "InteractiveJoinOptionsAsk": "Enter additional join parameters (space delimiter):",
  "InteractiveJoinOptionsResult": "Additional join parameters selected: [{0}]",

  "InteractiveOptionsAsk": "Enter the program parameters (space delimiter):",
  "InteractiveOptionsConfirm": "Program parameters selected:\n{0}\nDo you confirm them? [Y|y - yes, any other letter - to abort]",
  "InteractiveOptionsResult": "The parameters are saved! To apply them, you need to restart the program...",

  //Константы размеров
  "FileSizeStringsByte": "byte",
  "FileSizeStringsKByte": "KByte",
  "FileSizeStringsMByte": "MByte",
  "FileSizeStringsGByte": "GByte",
  "FileSizeStringsTByte": "TByte",

  //Переводы кодов возврата
  "ExitCodeNamesAllDone": "Completed successfully",
  "ExitCodeNamesInfoVersionUnsupported": "The version of the split information file is not supported",
  "ExitCodeNamesInvalidParameters": "Invalid parameters",
  "ExitCodeNamesSplitFileHashError": "Error checking the hash sum of split files",
  "ExitCodeNamesTargetFileCheckError": "Error checking the integrity of joined file",
  "ExitCodeNamesUnknownInfoFile": "Unknown partitioning information file",
  "ExitCodeNamesUserAborted": "Aborted by the user"
}